TmetaTypelist Namespace Reference

## Classes

struct | F
struct | Identity
struct | MfunBin
struct | MfunBin_i
struct | MfunUn1
struct | MfunUn2
struct | Pred_isInt
struct | Pred_isVoid

## Functions

| TEST (TmetaTypelist, Invoke)
| TEST (TmetaTypelist, Basics)
| TEST (TmetaTypelist, ElementAccess)
| TEST (TmetaTypelist, Concat)
| TEST (TmetaTypelist, Fold)
| TEST (TmetaTypelist, PushPopReverse)
| TEST (TmetaTypelist, Transform)
| TEST (TmetaTypelist, Find)
| TEST (TmetaTypelist, Count)
| TEST (TmetaTypelist, Filter)
| TEST (TmetaTypelist, Replace)
| TEST (TmetaTypelist, AllAnyNone)

## Function Documentation

## TEST() [1/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Invoke |
| ) |  |

Definition at line 60 of file TmetaTypelist.cpp.

## TEST() [2/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Basics |
| ) |  |

Definition at line 140 of file TmetaTypelist.cpp.

## TEST() [3/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | ElementAccess |
| ) |  |

Definition at line 165 of file TmetaTypelist.cpp.

## TEST() [4/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Concat |
| ) |  |

Definition at line 180 of file TmetaTypelist.cpp.

## TEST() [5/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Fold |
| ) |  |

Definition at line 194 of file TmetaTypelist.cpp.

## TEST() [6/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | PushPopReverse |
| ) |  |

Definition at line 214 of file TmetaTypelist.cpp.

## TEST() [7/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Transform |
| ) |  |

Definition at line 232 of file TmetaTypelist.cpp.

## TEST() [8/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Find |
| ) |  |

Definition at line 250 of file TmetaTypelist.cpp.

## TEST() [9/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Count |
| ) |  |

Definition at line 269 of file TmetaTypelist.cpp.

## TEST() [10/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Filter |
| ) |  |

Definition at line 281 of file TmetaTypelist.cpp.

## TEST() [11/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | Replace |
| ) |  |

Definition at line 293 of file TmetaTypelist.cpp.

## TEST() [12/12]

TmetaTypelist::TEST | ( | TmetaTypelist | ,
|  | AllAnyNone |
| ) |  |

Definition at line 308 of file TmetaTypelist.cpp.